Ladybug-tools installation issue | ERROR: Exception

Hi,
I have installation issue in LBT 1.2.0. in Rhino 6.
Anyone have any suggestion?

Thanks! :pray:

            {0;0}
0. Installing Ladybug Tools core Python libraries.
1. Installing lbt-dragonfly==0.7.127 via pip using
C:\Users\Arn\ladybug_tools\python\python.exe
2. ERROR: Exception:
Traceback (most recent call last):
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 425, in _error_catcher
    yield
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 507, in read
    data = self._fp.read(amt) if not fp_closed else b""
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\cachecontrol\filewrapper.py", line 62, in read
    data = self.__fp.read(amt)
  File "C:\Users\Arn\ladybug_tools\python\lib\http\client.py", line 461, in read
    n = self.readinto(b)
  File "C:\Users\Arn\ladybug_tools\python\lib\http\client.py", line 505, in readinto
    n = self.fp.readinto(b)
  File "C:\Users\Arn\ladybug_tools\python\lib\socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "C:\Users\Arn\ladybug_tools\python\lib\ssl.py", line 1071, in recv_into
    return self.read(nbytes, buffer)
  File "C:\Users\Arn\ladybug_tools\python\lib\ssl.py", line 929, in read
    return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\cli\base_command.py", line 188, in _main
    status = self.run(options, args)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\cli\req_command.py", line 185, in wrapper
    return func(self, options, args)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\commands\install.py", line 333, in run
    reqs, check_supported_wheels=not options.target_dir
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\resolution\legacy\resolver.py", line 179, in resolve
    discovered_reqs.extend(self._resolve_one(requirement_set, req))
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\resolution\legacy\resolver.py", line 362, in _resolve_one
    abstract_dist = self._get_abstract_dist_for(req_to_install)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\resolution\legacy\resolver.py", line 314, in _get_abstract_dist_for
    abstract_dist = self.preparer.prepare_linked_requirement(req)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\operations\prepare.py", line 469, in prepare_linked_requirement
    hashes=hashes,
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\operations\prepare.py", line 259, in unpack_url
    hashes=hashes,
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\operations\prepare.py", line 130, in get_http_url
    link, downloader, temp_dir.path, hashes
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\operations\prepare.py", line 281, in _download_http_url
    for chunk in download.chunks:
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\cli\progress_bars.py", line 166, in iter
    for x in it:
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\network\utils.py", line 39, in response_chunks
    decode_content=False,
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 564, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 529, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "C:\Users\Arn\ladybug_tools\python\lib\contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 430, in _error_catcher
    raise ReadTimeoutError(self._pool, None, "Read timed out.")
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.
WARNING: You are using pip version 20.1.1; however, version 21.2.4 is available.
You should consider upgrading via the 'C:\Users\Arn\ladybug_tools\python\python.exe -m pip install --upgrade pip' command.
3. 
4. Installing Ladybug Tools recipes.
5. Installing lbt-recipes==0.10.0 via pip using
C:\Users\Arn\ladybug_tools\python\python.exe
6. ERROR: Exception:
Traceback (most recent call last):
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 425, in _error_catcher
    yield
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 507, in read
    data = self._fp.read(amt) if not fp_closed else b""
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\cachecontrol\filewrapper.py", line 62, in read
    data = self.__fp.read(amt)
  File "C:\Users\Arn\ladybug_tools\python\lib\http\client.py", line 461, in read
    n = self.readinto(b)
  File "C:\Users\Arn\ladybug_tools\python\lib\http\client.py", line 505, in readinto
    n = self.fp.readinto(b)
  File "C:\Users\Arn\ladybug_tools\python\lib\socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "C:\Users\Arn\ladybug_tools\python\lib\ssl.py", line 1071, in recv_into
    return self.read(nbytes, buffer)
  File "C:\Users\Arn\ladybug_tools\python\lib\ssl.py", line 929, in read
    return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\cli\base_command.py", line 188, in _main
    status = self.run(options, args)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\cli\req_command.py", line 185, in wrapper
    return func(self, options, args)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\commands\install.py", line 333, in run
    reqs, check_supported_wheels=not options.target_dir
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\resolution\legacy\resolver.py", line 179, in resolve
    discovered_reqs.extend(self._resolve_one(requirement_set, req))
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\resolution\legacy\resolver.py", line 362, in _resolve_one
    abstract_dist = self._get_abstract_dist_for(req_to_install)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\resolution\legacy\resolver.py", line 314, in _get_abstract_dist_for
    abstract_dist = self.preparer.prepare_linked_requirement(req)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\operations\prepare.py", line 469, in prepare_linked_requirement
    hashes=hashes,
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\operations\prepare.py", line 259, in unpack_url
    hashes=hashes,
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\operations\prepare.py", line 130, in get_http_url
    link, downloader, temp_dir.path, hashes
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\operations\prepare.py", line 281, in _download_http_url
    for chunk in download.chunks:
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\cli\progress_bars.py", line 166, in iter
    for x in it:
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\network\utils.py", line 39, in response_chunks
    decode_content=False,
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 564, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 529, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "C:\Users\Arn\ladybug_tools\python\lib\contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 430, in _error_catcher
    raise ReadTimeoutError(self._pool, None, "Read timed out.")
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.
WARNING: You are using pip version 20.1.1; however, version 21.2.4 is available.
You should consider upgrading via the 'C:\Users\Arn\ladybug_tools\python\python.exe -m pip install --upgrade pip' command.
7. 
8. Installing ladybug-rhino Python library.
9. Installing ladybug-rhino[cli]==1.28.6 via pip using
C:\Users\Arn\ladybug_tools\python\python.exe
10. Ladybug-rhino Python library successfully installed!
 
11. Writing set_python_path batch File to:
C:\Users\Arn\ladybug_tools\set_python_path.bat
 
12. Installing Ladybug Tools Grasshopper components.
13. Installing lbt-grasshopper==1.2.0 via pip using
C:\Users\Arn\ladybug_tools\python\python.exe
14. ERROR: Exception:
Traceback (most recent call last):
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 425, in _error_catcher
    yield
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 507, in read
    data = self._fp.read(amt) if not fp_closed else b""
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\cachecontrol\filewrapper.py", line 62, in read
    data = self.__fp.read(amt)
  File "C:\Users\Arn\ladybug_tools\python\lib\http\client.py", line 461, in read
    n = self.readinto(b)
  File "C:\Users\Arn\ladybug_tools\python\lib\http\client.py", line 505, in readinto
    n = self.fp.readinto(b)
  File "C:\Users\Arn\ladybug_tools\python\lib\socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "C:\Users\Arn\ladybug_tools\python\lib\ssl.py", line 1071, in recv_into
    return self.read(nbytes, buffer)
  File "C:\Users\Arn\ladybug_tools\python\lib\ssl.py", line 929, in read
    return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\cli\base_command.py", line 188, in _main
    status = self.run(options, args)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\cli\req_command.py", line 185, in wrapper
    return func(self, options, args)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\commands\install.py", line 333, in run
    reqs, check_supported_wheels=not options.target_dir
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\resolution\legacy\resolver.py", line 179, in resolve
    discovered_reqs.extend(self._resolve_one(requirement_set, req))
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\resolution\legacy\resolver.py", line 362, in _resolve_one
    abstract_dist = self._get_abstract_dist_for(req_to_install)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\resolution\legacy\resolver.py", line 314, in _get_abstract_dist_for
    abstract_dist = self.preparer.prepare_linked_requirement(req)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\operations\prepare.py", line 469, in prepare_linked_requirement
    hashes=hashes,
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\operations\prepare.py", line 259, in unpack_url
    hashes=hashes,
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\operations\prepare.py", line 130, in get_http_url
    link, downloader, temp_dir.path, hashes
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\operations\prepare.py", line 281, in _download_http_url
    for chunk in download.chunks:
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\cli\progress_bars.py", line 166, in iter
    for x in it:
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_internal\network\utils.py", line 39, in response_chunks
    decode_content=False,
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 564, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 529, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "C:\Users\Arn\ladybug_tools\python\lib\contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "C:\Users\Arn\ladybug_tools\python\lib\site-packages\pip\_vendor\urllib3\response.py", line 430, in _error_catcher
    raise ReadTimeoutError(self._pool, None, "Read timed out.")
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.
WARNING: You are using pip version 20.1.1; however, version 21.2.4 is available.
You should consider upgrading via the 'C:\Users\Arn\ladybug_tools\python\python.exe -m pip install --upgrade pip' command.
15. 
16. .gha files already exist in your Components folder and cannot be deleted while Grasshopper is open.
Close Grasshopper, delete the .gha files at
C:\Users\Arn\AppData\Roaming\Grasshopper\Libraries\ladybug_grasshopper_dotnet
and rerun this installer component.
Or simply keep using the old .gha component if you do not need the latest .gha component features.
 
17. Installing Honeybee-OpenStudio gem version 2.11.3.
18. Downloading "honeybee-openstudio-gem"  github repository to: C:\Users\Arn\ladybug_tools\resources\measures
19. Copying "honeybee_openstudio_gem" source code to C:\Users\Arn\ladybug_tools\resources\measures\honeybee_openstudio_gem\lib
 
20. Installing Honeybee energy standards.
21. Installing honeybee-energy-standards==2.1.2 via pip using
C:\Users\Arn\ladybug_tools\python\python.exe
22. Honeybee energy standards successfully installed!
 
23. Restart Grasshopper and Rhino to load the new components + library.

It looks like your internet connection was dropped as the installer was running. Check your internet connection and try re-running the installer.

Thanks chris! it’s work :grinning: